手動インシデント作成
POST /dashboard/services/{id}/incidents
POST
/dashboard/services/{id}/incidents
サービスに手動インシデント (type: manual) を作成する。
作成されたインシデントは status: ongoing / monitorId: null になる。
作成後に通知キューへ incident.created を送信する。
キュー送信に失敗しても作成自体は成功扱い (201) で、notificationSent: false
と warnings で通知する。
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
サービス ID
Request Body required
Section titled “Request Body required ”object
title
required
string
cause
string
Responses
Section titled “ Responses ”インシデント作成成功
object
incident
object
id
string
monitorId
string
teamId
string
type
string
status
string
title
string
startedAt
string format: date-time
resolvedAt
string format: date-time
cause
string
serviceId
Service ID the incident is displayed on
string
createdAt
string format: date-time
notificationSent
通知キューへの送信に成功したか
boolean
warnings
作成は成功したが付随処理に失敗した場合の警告
Array<object>
主処理は成功したが付随処理 (通知送信など) に失敗したことを示す警告。 正本は apps/api/src/routes/incidents.ts の ApiWarning インターフェース。
object
code
string
Example
NOTIFICATION_SEND_FAILED message
string
Example
Failed to send notificationバリデーションエラー
object
error
object
code
string
Example
VALIDATION_ERROR message
string
Example
Invalid request body status
integer
Example
400 upgradeUrl
URL to upgrade plan (only present for plan limit errors)
string
Example
https://app.manako.dev/billingサービスが見つからない
object
error
object
code
string
Example
VALIDATION_ERROR message
string
Example
Invalid request body status
integer
Example
400 upgradeUrl
URL to upgrade plan (only present for plan limit errors)
string
Example
https://app.manako.dev/billing